from django.contrib.auth import views as django_views
from django.urls import reverse_lazy

from newsreader.utils.views import NavListMixin


class LoginView(NavListMixin, django_views.LoginView):
    template_name = "accounts/views/login.html"
    success_url = reverse_lazy("index")


class LogoutView(django_views.LogoutView):
    next_page = reverse_lazy("accounts:login")
